/**
 * Copyright 2010 Västra Götalandsregionen
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of version 2.1 of the GNU Lesser General Public
 *   License as published by the Free Software Foundation.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 *   Boston, MA 02111-1307  USA
 */

package se.vgregion.activation.controllers;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.portlet.bind.annotation.RenderMapping;

@Controller
@RequestMapping(value = "VIEW")
public class LoginController {

    /**
     * Default handler method.
     *
     * @param model model
     * @return A view
     */
    @RenderMapping
    public String showDefaultPasswordForm(Model model) {
        return "otpLogin";
    }

    /**
     * Handler method for OTP login.
     *
     * @param model model
     * @return A view
     */
    @RenderMapping(params = { "loginType=otp" })
    public String showOtpPasswordForm(Model model) {
        return "otpLogin";
    }

    /**
     * Handler method for domino login.
     *
     * @return A view
     */
    @RenderMapping(params = { "loginType=domino" })
    public String showDominoPasswordForm() {
        return "dominoLogin";
    }

}
